*Inheritance: EventDispatcher → BufferGeometry →*

# RollerCoasterLiftersGeometry

A procedural roller coaster lifters geometry.

## Import

RollerCoasterLiftersGeometry is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { RollerCoasterLiftersGeometry } from 'three/addons/misc/RollerCoaster.js';
```

## Constructor

### new RollerCoasterLiftersGeometry( curve : Curve, divisions : number )

Constructs a new geometry.

**curve**

The curve to generate the geometry along.

**divisions**

The number of divisions which defines the detail of the geometry.

## Source

[examples/jsm/misc/RollerCoaster.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/misc/RollerCoaster.js)